%define upstream_name	 Template-Plugin-YAML
%define upstream_version 1.23

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:	Plugin interface to YAML
License:	GPL+ or Artistic
Group:		Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Template/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(YAML)
BuildRequires:	perl(Template)
BuildArch:	noarch


%description
This is a simple Template Toolkit Plugin Interface to the YAML module.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test 

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes META.yml
%{perl_vendorlib}/Template
%{_mandir}/*/*

%changelog
* Fri Oct 18 2013 umeabot <umeabot> 1.230.0-3.mga4
+ Revision: 514845
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.230.0-2.mga3
+ Revision: 373178
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 jquelin <jquelin> 1.230.0-1.mga1
+ Revision: 36583
- mageia rebuild
- imported package perl-Template-Plugin-YAML


* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 1.230.0-1mdv2010.0
+ Revision: 405536
- rebuild using %%perl_convert_version

* Wed Dec 17 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.23-1mdv2009.1
+ Revision: 315132
- new version

* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.22-4mdv2009.0
+ Revision: 258485
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.22-3mdv2009.0
+ Revision: 246511
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.22-1mdv2008.1
+ Revision: 123634
- kill re-definition of %%buildroot on Pixel's request


(none)